Documentation Index
Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
Use this file to discover all available pages before exploring further.
Get Used MMRs
Retrieves the list of MMRs (Merkle Mountain Ranges) used by a specific task. This endpoint does not require authentication.
Endpoint
GET /tasks/{task_uuid}/mmrs
Path Parameters
| Parameter | Type | Description |
|---|
| task_uuid | string | The unique identifier (UUID) of the task |
Example Request
curl -X GET https://staging.hdp.api.herodotus.cloud/tasks/01JPJ03YJT1A93D6NF56G4GVEQ/mmrs \
-H "Content-Type: application/json"
Response
Success Response (200 OK)
{
"taskId": "01JPJ03YJT1A93D6NF56G4GVEQ",
"mmrs": [
{
"id": "0x30314b345136303433515133424b4d42324e31394d4443595757",
"root": "0x6e7be7495a7126588df5ce10e090b27ea87357b966cc5b4143d0845ee15af0e",
"size": "0x2644",
"chain_id": "0xaa37dc",
"hashing_function": "poseidon"
},
{
"id": "0x30314a4d484d31413242354d38455336505a57524a505354374d",
"root": "0x8c03a541b8eb37ccfb5d11f2055556668df74acdc8c1fc184081e4a2ec4ccca7",
"size": "0x0a813",
"chain_id": "0xaa36a7",
"hashing_function": "keccak"
}
]
}
Not Found Response (404)
{
"error": "Task not found",
"taskId": "01JPJ03YJT1A93D6NF56G4GVEQ"
}
Server Error Response (500)
{
"error": "Server error",
"message": "Failed to decode MMR metadata"
}
Response Fields
| Field | Type | Description |
|---|
| taskId | string | The unique identifier of the task |
| mmrs | array | Array of MMR information objects |
| error | string | Error message (only present in error responses) |
MMR Object Fields
| Field | Type | Description |
|---|
| id | string | The MMR identifier (hex string) |
| root | string | The MMR root hash (hex string). For Keccak, this is the combined root_low and root_high |
| size | string | The size of the MMR (hex string) |
| chain_id | string | The chain ID where this MMR is located (hex string) |
| hashing_function | string | The hashing function used: "poseidon" or "keccak" |
Notes
- No authentication is required for this endpoint
- The response includes all MMRs used by the task, regardless of their hashing function
- For Poseidon MMRs, the
root field contains the single root value
- For Keccak MMRs, the
root field contains the combined root_high and root_low values
- The
hashing_function field explicitly indicates which hashing algorithm was used for each MMR
- This endpoint is useful for verifying which MMRs were used in the task execution